Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
tchinh371

Quay text theo góc tùy ý nhé

Các bài được khuyến nghị

Đây, em mới tập tành tìm tòi viết thêm cái líp phục vụ công tác nữa đây. Cái này dùng để quay text theo 1 hướng bất kỳ được tạo bởi 2 điểm (giống như align đối tượng theo 1 đường thằng vậy, mà align không áp dụng đựoc cho text). Hy vọng nó giúp ích cho mọi người!!!!

 

(defun c:tro(/ chon goc ts dem ten ) ;--------------Text rotate -----------------------

(prompt "\nChon doi tuong can quay: ")

(setq chon (ssget))

(if (= t (null chon)) (prompt "Ban chua chon doi tuong nao. Lenh ket thuc.")

(progn

(if (null goc) (setq goc 0))

(prompt "Nhap goc quay doi tuong [Nhap hai diem de xac dinh goc] ")

(princ "<")(princ (angtos goc)) (princ ">: ")

(setq goc (getangle))

(setq ts (sslength chon))

(setq dem 0)

(while (< dem ts)

(progn

(setq ten (entget (ssname chon dem)))

(setq ten (subst (cons 50 goc) (assoc 50 ten) ten ))

(entmod ten)

(setq dem (+ 1 dem))

)

)

)

)

(princ)

)

  • Vote tăng 5

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Thanks!!! Lisp của bạn ứng dụng rất tốt. ^_^

Lệnh torient trong cad có thể đáp ứng được yêu cầu quay text và nhóm text ( theo toạ độ điểm chèn của text) theo 1 hướng bất kỳ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×